SQLIntegrator
Keywords: uk.ac.ic.doc.automed.matching.SQLIntegrator,SQLIntegrator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SQLIntegrator

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.Integrator
            |
            +--uk.ac.ic.doc.automed.matching.SQLIntegrator

public class SQLIntegrator
extends Integrator

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.matching.Integrator
`disjoints, equivalents, overlaps, subsumptions`

Constructor Summary
`SQLIntegrator()`

Method Summary
`protected SchemaObject[]` | `getColumnsOfTable(Schema s, SchemaObject table)`
`protected SchemaElementPair[]` | `getRelatedTables(java.util.ArrayList rels)`
`Schema[]` | `getSchemas()`
`protected SchemaObject[]` | `getTables(Schema s)`
`void` | `mergeSchemas()`
`protected SchemaObject[]` | `removeSchemaObject(SchemaObject so, SchemaObject[] objects)`
`protected void` | `resolveDisjoints()`
`void` | `resolveNamingConflicts()`
`protected void` | `resolveOverlaps()`
`void` | `resolveStructuralConflicts()`
`protected void` | `resolveSubsumptions()`
`void` | `setSchemas(Schema[] schemas)`

Methods inherited from class uk.ac.ic.doc.automed.matching.Integrator
`areCompatible, areCompatible, areRelated, contains, contains, existsIn, existsIn, extendToMatch, findRelated, getAllCombinations, getCombinations, getCombinationsOverMultipleArrays, getCommonRelationship, getElements, getRelationship, isRelated, removeDuplicates, selectPairs, selectPairs, setRelationships`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLIntegrator

    public SQLIntegrator()

Method Detail

### setSchemas

    public void setSchemas(Schema[] schemas)
                    throws IntegratorException

  Specified by:
    `setSchemas` in class `Integrator`
    `IntegratorException`

### getSchemas

    public Schema[] getSchemas()

  Specified by:
    `getSchemas` in class `Integrator`

### mergeSchemas

    public void mergeSchemas()
                      throws IntegratorException

  Specified by:
    `mergeSchemas` in class `Integrator`
    `IntegratorException`

### resolveNamingConflicts

    public void resolveNamingConflicts()
                                throws IntegratorException

  Specified by:
    `resolveNamingConflicts` in class `Integrator`
    `IntegratorException`

### resolveStructuralConflicts

    public void resolveStructuralConflicts()
                                    throws IntegratorException

  Specified by:
    `resolveStructuralConflicts` in class `Integrator`
    `IntegratorException`

### resolveSubsumptions

    protected void resolveSubsumptions()
                                throws IntegratorException

    `IntegratorException`

### resolveOverlaps

    protected void resolveOverlaps()
                            throws IntegratorException

    `IntegratorException`

### resolveDisjoints

    protected void resolveDisjoints()
                             throws IntegratorException

    `IntegratorException`

### getTables

    protected SchemaObject[] getTables(Schema s)

### getColumnsOfTable

    protected SchemaObject[] getColumnsOfTable(Schema s,
                                               SchemaObject table)

### removeSchemaObject

    protected SchemaObject[] removeSchemaObject(SchemaObject so,
                                                SchemaObject[] objects)

### getRelatedTables

    protected SchemaElementPair[] getRelatedTables(java.util.ArrayList rels)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD